Bug 602442 - CreateException: Can't have the end before the start! (start sector=2048 length=0)
Summary: CreateException: Can't have the end before the start! (start sector=2048 leng...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard: anaconda_trace_hash:dd1e7a5251333a516...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 20:42 UTC by Brian Lane
Modified: 2010-11-10 19:47 UTC (History)
3 users (show)

Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 19:47:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (283.49 KB, text/plain)
2010-06-09 20:42 UTC, Brian Lane
no flags Details
Attached traceback automatically from anaconda. (130.65 KB, text/plain)
2010-06-25 14:20 UTC, Marian Ganisin
no flags Details

Description Brian Lane 2010-06-09 20:42:22 UTC
The following was filed automatically by anaconda:
anaconda 13.21.48 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/geometry.py", line 53, in __init__
    self.__geometry = _ped.Geometry(self.device.getPedDevice(), start, length)
  File "/usr/lib/python2.6/site-packages/parted/decorators.py", line 31, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in __init__
  File "/usr/lib/anaconda/storage/devices.py", line 1305, in _computeResize
    length=newLen)
  File "/usr/lib/anaconda/storage/devices.py", line 1041, in _setTargetSize
    (constraint, geometry) = self._computeResize(self.partedPartition)
  File "/usr/lib/anaconda/storage/devices.py", line 512, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/anaconda/storage/deviceaction.py", line 244, in __init__
    self.device.targetSize = newsize
  File "/usr/lib/anaconda/iw/autopart_type.py", line 128, in whichToShrink
    actions.append(ActionResizeDevice(request, newSize))
  File "/usr/lib/anaconda/iw/autopart_type.py", line 159, in getNext
    (rc, actions) = whichToShrink(self.storage, self.intf)
  File "/usr/lib/anaconda/gui.py", line 1331, in nextClicked
    rc = self.currentWindow.getNext ()
CreateException: Can't have the end before the start! (start sector=2048 length=0)

Comment 1 Brian Lane 2010-06-09 20:42:25 UTC
Created attachment 422698 [details]
Attached traceback automatically from anaconda.

Comment 3 RHEL Product and Program Management 2010-06-09 21:13:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Marian Ganisin 2010-06-25 14:20:14 UTC
Created attachment 426893 [details]
Attached traceback automatically from anaconda.

Comment 5 Marian Ganisin 2010-06-25 14:22:10 UTC
Note for myself (reproducer):
Try to shrink ext4 partition created across all available size.

Comment 7 Alexander Todorov 2010-07-02 11:37:03 UTC
(In reply to comment #5)
> Note for myself (reproducer):
> Try to shrink ext4 partition created across all available size.    

My steps to reproduce with 0622.1 tree:

1) Create a layout such as:
vda1 - /boot
vda2 - swap
vda3 - / (arround 7G) 

and install minimal package set. 

2) Start the installer again and select Shrink current system. Anaconda offers to shrink vda3 and the value for "Shrink partition to size (in MB)" in the dialog is 0.
3) Just press OK and there's the same traceback.

Testing with snapshot #7 the resize dialog now has a default value not 0. I've chosen to resize the partition and there were other bugs. Filing them shortly.

Comment 8 Alexander Todorov 2010-07-02 12:06:25 UTC
Bug 610758

Comment 10 releng-rhel@redhat.com 2010-11-10 19:47:32 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.